Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 513731 - Review request: berry4all - Utilities to tether Blackberries to Linux. Includes pre-built settings for many major cellular carriers.
Summary: Review request: berry4all - Utilities to tether Blackberries to Linux. Inclu...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://berry4all.com
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2009-07-25 00:29 UTC by Scott Williams
Modified: 2010-02-01 19:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-28 03:12:57 UTC


Attachments (Terms of Use)
3.0g-1 src.rpm (deleted)
2009-07-25 00:30 UTC, Scott Williams
no flags Details
3.0g-1 SPEC (deleted)
2009-07-25 00:31 UTC, Scott Williams
no flags Details

Description Scott Williams 2009-07-25 00:29:31 UTC
Requesting package review of berry4all, formerly known as bbtether.  Utilities for using Blackberry devices including a utility to tether blackberry to Linux.

Comment 1 Scott Williams 2009-07-25 00:30:26 UTC
Created attachment 355119 [details]
3.0g-1 src.rpm

Comment 2 Scott Williams 2009-07-25 00:31:04 UTC
Created attachment 355120 [details]
3.0g-1 SPEC

Comment 3 Scott Williams 2009-07-25 21:13:12 UTC
For the sake of not cluttering this up, I'm putting the packages up on fedorapeople:

http://vwbusguy.fedorapeople.org/berry4all/SPEC/berry4all.spec
http://vwbusguy.fedorapeople.org/berry4all/SRPMS/berry4all-3.0g-1.fc11.src.rpm

Comment 4 leigh scott 2009-07-25 21:50:29 UTC
These files aren't part of the package and should be removed

%{_libdir}/bbtether/conf/.svn/all-wcprops
%{_libdir}/bbtether/conf/.svn/dir-prop-base
%{_libdir}/bbtether/conf/.svn/entries
%{_libdir}/bbtether/conf/.svn/format
%{_libdir}/bbtether/conf/.svn/prop-base/rogers-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/att-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/att.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/porta-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/porta.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/rogers-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/rogers.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/sprint-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/sprint.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/tmobile-bb-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/tmobile-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/tmobile-data-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/tmobile-epc-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/tmobile-vpn-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/tmobile.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/verizon-chat.svn-base
%{_libdir}/bbtether/conf/.svn/text-base/verizon.svn-base
%{_libdir}/bbtether/conf/.svn/tmp/tempfile.tmp


%{_libdir}/bbtether/img/.svn/all-wcprops
%{_libdir}/bbtether/img/.svn/entries
%{_libdir}/bbtether/img/.svn/format
%{_libdir}/bbtether/img/.svn/prop-base/berry4all.png.svn-base
%{_libdir}/bbtether/img/.svn/text-base/berry4all.png.svn-base

%{_libdir}/bbtether/osx/.svn/all-wcprops
%{_libdir}/bbtether/osx/.svn/entries
%{_libdir}/bbtether/osx/.svn/format
%{_libdir}/bbtether/udev/.svn/all-wcprops
%{_libdir}/bbtether/udev/.svn/entries
%{_libdir}/bbtether/udev/.svn/format
%{_libdir}/bbtether/udev/.svn/text-base/99-bbtether.rules.svn-base
%{_libdir}/bbtether/udev/.svn/text-base/99-bbtether_user.rules.svn-base
%{_libdir}/bbtether/udev/.svn/text-base/README.txt.svn-base



This also need correcting

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/bbtether/
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d

cp udev/99-bbtether.rules $RPM_BUILD_ROOT/etc/udev/rules.d
cp -R ./* $RPM_BUILD_ROOT%{_libdir}/bbtether/
echo cd %{_libdir}/bbtether > bbtether
echo ./berry4all.sh >> bbtether
chmod a+x bbtether
mv bbtether $RPM_BUILD_ROOT/usr/bin

%clean
rm -rf $RPM_BUILD_ROOT


%files
/usr/bin/bbtether
/etc/udev/rules.d/99-bbtether.rules


should be

http://fedoraproject.org/wiki/Packaging:RPMMacros#Valid_RPM_Macros


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/bbtether/
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d

cp udev/99-bbtether.rules $RPM_BUILD_ROOT%{_sysconfdir}/udev/rules.d
cp -R ./* $RPM_BUILD_ROOT%{_libdir}/bbtether/
echo cd %{_libdir}/bbtether > bbtether
echo ./berry4all.sh >> bbtether
chmod a+x bbtether
mv bbtether $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%{_bindir}/bbtether
%config(noreplace) %{_sysconfdir}/udev/rules.d/99-bbtether.rules



The source URL is not correct

http://fedoraproject.org/wiki/Packaging/SourceURL#Using_Revision_Control

URL:            http://www.colar.net/websvn/filedetails.php?repname=src&path=%2Fbbtether%2Fbbtether.tgz
Source0:        bbtether.tgz

Comment 5 Scott Williams 2009-07-25 22:23:15 UTC
Updated %install and %files to use RPM macros.
Removed all .svn folders and their contents.
Updated URL and source to give path to this specific upstream version.
Updated changelog to reflect these changes.

http://vwbusguy.fedorapeople.org/berry4all/SPEC/berry4all.spec
http://vwbusguy.fedorapeople.org/berry4all/SRPMS/berry4all-3.0g-2.fc11.src.rpm

Comment 6 Jason Tibbitts 2009-07-26 21:47:16 UTC
We have scripts that parse these tickets so I've fixed up the Summary.  It also helps things along if you build the package, run rpmlint on the resulting *rpm files, and address as much of the resulting errors.  Here's what I get; many of these should be trivial to fix:

berry4all.x86_64: E: explicit-lib-dependency libusb
berry4all.x86_64: W: summary-ended-with-dot Utilities to tether Blackberries to Linux.  Includes pre-built settings for many major cellular carriers.
berry4all.x86_64: E: summary-too-long Utilities to tether Blackberries to Linux.  Includes pre-built settings for many major cellular carriers.
berry4all.x86_64: E: description-line-too-long This package contains utilities for using Blackberries with Linux, including the ability to tether a blackberry and use it as a modem.  It includes several pre-built settings for use with many major cellular providers.
berry4all.x86_64: W: non-standard-group System Tools
berry4all.x86_64: W: invalid-license Artistic License 2.0    
berry4all.x86_64: E: no-binary                                     
berry4all.x86_64: W: only-non-binary-in-usr-lib                     
berry4all.x86_64: W: no-documentation                                     
berry4all.x86_64: E: non-executable-script /usr/lib64/bbtether/bbbackup.py 0644 /usr/bin/python
berry4all.x86_64: E: non-executable-script /usr/lib64/bbtether/bbtether.py 0644 /usr/bin/python
berry4all.x86_64: E: non-executable-script /usr/lib64/bbtether/bb_backup.py 0644 /usr/bin/python
berry4all.x86_64: E: script-without-shebang /usr/bin/bbtether
berry4all.x86_64: E: non-executable-script /usr/lib64/bbtether/bb_tether.py 0644 /usr/bin/python
berry4all-debuginfo.x86_64: W: invalid-license Artistic License 2.0
berry4all-debuginfo.x86_64: E: empty-debuginfo-package

Are you sure this package shouldn't be noarch?  I don't see anything being compiled and I see no arch-specific content.

Comment 7 Jason Tibbitts 2009-07-26 21:49:40 UTC
It doesn't seem that you're in the packager group, so I've indicated that you need a sponsor.  It might help to read through http://fedoraproject.org/wiki/PackageMaintainers/Join if you haven't already.

Comment 8 Adam Williamson 2009-07-27 23:18:29 UTC
I'm not sure there's any actual need for this, as Barry - already packaged, 'barry' - can do tethering, as well as doing synchronization, backup and several other useful things. It should be sufficient to install the Barry package and then do 'pppd call barry-verizon' (or barry-sprint or barry-att_cingular or any one of the others in /etc/ppp/peers in the barry package). I tested this on a couple of Blackberries on Mandriva, when I was packaging Barry there, and it worked fine. The Fedora package appears to have everything in place, so it should work on Fedora also (I can't test myself as the Blackberry we have lying around here no longer has a data plan).

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 9 Jason Tibbitts 2010-01-08 02:19:54 UTC
So what's happening with this ticket?  There's been no reply to my comments and given comment #8 I'm not sure there's a reason to keep this open.

Comment 10 R P Herrold 2010-01-14 16:30:22 UTC
comment #8 ignores the fact that diversity of solutions is usually a 'good thing' (TM)  ;)

Blackberry corporate's setup 'desktop management' tool has differentially exposed and hidden the needed interfaces to configure tethering on the device over time.  As new models come and go, Barry sometimes lags until USB ID's get in, etc

I would appreciate having this tool, well packaged, available in my arsenal

-- Russ herrold

Comment 11 Jason Tibbitts 2010-01-22 04:37:20 UTC
I guess you could submit it yourself, then, but if the original submitter doesn't come back rather soon, I'll close this out.

Comment 12 Scott Williams 2010-01-28 03:12:57 UTC
I'll go ahead and close this.  Sorry for the delay.  I no longer have a blackberry so i don't really have any means of continuing to try this on my own.


Note You need to log in before you can comment on or make changes to this bug.